Skip to content
View as Markdown

PUT Update SMS Campaign​

PUT
/sms/campaigns/{id}

Update an existing SMS campaign. Only title, message_content, and settings can be updated. An optional next_step value can be stored as campaign meta. The message content allows only anchor (<a>) tags; all other HTML is stripped. PRO (requires FluentCampaign Pro SMS module).

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

SMS campaign ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"title": "string",
"message_content": "string",
"settings": {
},
"next_step": "string"
}

Responses​

SMS campaign updated successfully.

application/json
JSON
{
"campaign": {
"id": 0,
"title": "string",
"message_content": "string",
"status": "string",
"type": "string",
"recipients_count": 0,
"scheduled_at": "string",
"settings": {
},
"created_at": "string",
"updated_at": "string"
},
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI